/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#ifndef FILEOPS_H__
#define FILEOPS_H__

/*################### Globals ########################*/
extern gint if_close_file,if_file_processing; 

/*################## Structures ######################*/
struct gsim_signature{
	gint lo;
	gint hi;
};

/*################### Functions ########################*/
extern gboolean if_have_iter(void);
extern void gsim_new_file(void);
extern void gsim_close_file(void);
extern void gsim_close_all_files(void);
extern void gsim_save_file(void);
extern void gsim_save_all_files(void);
extern void gsim_open_file(void);
extern void open_file_dialog_ok(GtkWidget *ok_button,gchar *file_on_command_line);
extern void gsim_save_as_file(void);
extern void gsim_save_text_file(void);
extern void gsim_print_file(void);
extern void close_file();

#endif /*FILEOPS_H__*/
