/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#ifndef IOVIEW_H__
#define IOVIEW_H__

/*###################### Enumerations #######################*/
enum IOCOL{IO_ADDR_COL,IO_DATA_COL,IO_TR_COL};

/*################## Globals ########################*/
extern GtkTreeModel *ioview_model;
extern GtkTreeIter ioview_iter;

/*##################### Functions ##########################*/
extern GtkWidget *gsim_get_ioview_box( void );
extern void show_hide_ioview(void);
extern void ioview_scroll_to_port(const gchar *where);

#endif
