/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/

#ifndef KEYPAD_H__
#define KEYPAD_H__

/*###################### Globals #######################*/
extern GtkWidget *dt_table,*al_table,*mc_table,*br_table;
extern GtkWidget *con_table,*hex_table;
extern GtkWidget *rega;
extern GtkWidget *regb;
extern GtkWidget *regc;
extern GtkWidget *regd;
extern GtkWidget *rege;
extern GtkWidget *regh;
extern GtkWidget *regl;
extern GtkWidget *regm;
extern GtkWidget *regsp;
extern GtkWidget *regpsw;

/*#################### Functions #######################*/
extern GtkWidget* gsim_create_keypad (void);
extern gboolean show_hide_keypad(void);
extern void gsim_keypad_set_state(void);
extern void scroll_to_row(void);
extern void remove_marker(void);
extern void gsim_init_keypad_state();

#endif
